| OpenCV 5.0.0alpha Open Source Computer Vision

Loading...
Searching...
No Matches
Public Member Functions | List of all members
cv::detail::BlocksGainCompensator Class Reference
Images stitching » Exposure Compensation

Exposure compensator which tries to remove exposure related artifacts by adjusting image block intensities, see [280] for details. More...

`#include <opencv2/stitching/detail/exposure_compensate.hpp>`

Collaboration diagram for cv::detail::BlocksGainCompensator:

## Public Member Functions
| BlocksGainCompensator (int bl_width, int bl_height, int nr_feeds)
| BlocksGainCompensator (int bl_width=32, int bl_height=32)
void | apply (int index, Point corner, InputOutputArray image, InputArray mask) CV_OVERRIDE
| Compensate exposure in the specified image.
void | feed (const std::vector< Point > &corners, const std::vector< UMat > &images, const std::vector< std::pair< UMat, uchar > > &masks) CV_OVERRIDE
void | getMatGains (std::vector< Mat > &umv) CV_OVERRIDE
void | setMatGains (std::vector< Mat > &umv) CV_OVERRIDE
Public Member Functions inherited from cv::detail::BlocksCompensator
| BlocksCompensator (int bl_width=32, int bl_height=32, int nr_feeds=1)
Size | getBlockSize () const
int | getNrFeeds ()
int | getNrGainsFilteringIterations () const
double | getSimilarityThreshold () const
void | setBlockSize (int width, int height)
void | setBlockSize (Size size)
void | setNrFeeds (int nr_feeds)
void | setNrGainsFilteringIterations (int nr_iterations)
void | setSimilarityThreshold (double similarity_threshold)
Public Member Functions inherited from cv::detail::ExposureCompensator
| ExposureCompensator ()
virtual | ~ExposureCompensator ()
void | feed (const std::vector< Point > &corners, const std::vector< UMat > &images, const std::vector< UMat > &masks)
bool | getUpdateGain ()
void | setUpdateGain (bool b)

## Additional Inherited Members
Public Types inherited from cv::detail::ExposureCompensator
enum | { NO , GAIN , GAIN_BLOCKS , CHANNELS , CHANNELS_BLOCKS }
Static Public Member Functions inherited from cv::detail::ExposureCompensator
static Ptr< ExposureCompensator > | createDefault (int type)
Protected Member Functions inherited from cv::detail::BlocksCompensator
Protected Attributes inherited from cv::detail::ExposureCompensator
bool | updateGain

## Detailed Description

Exposure compensator which tries to remove exposure related artifacts by adjusting image block intensities, see [280] for details.

## Constructor & Destructor Documentation

## ◆ BlocksGainCompensator() [1/2]

cv::detail::BlocksGainCompensator::BlocksGainCompensator | ( | int | bl_width = 32,
|  | int | bl_height = 32 )
| inline

Python:
| cv.detail.BlocksGainCompensator( | [, bl_width[, bl_height]] | ) -> | <detail_BlocksGainCompensator object>
| cv.detail.BlocksGainCompensator( | bl_width, bl_height, nr_feeds | ) -> | <detail_BlocksGainCompensator object>

## ◆ BlocksGainCompensator() [2/2]

cv::detail::BlocksGainCompensator::BlocksGainCompensator | ( | int | bl_width,
|  | int | bl_height,
|  | int | nr_feeds )
| inline

Python:
| cv.detail.BlocksGainCompensator( | [, bl_width[, bl_height]] | ) -> | <detail_BlocksGainCompensator object>
| cv.detail.BlocksGainCompensator( | bl_width, bl_height, nr_feeds | ) -> | <detail_BlocksGainCompensator object>

## Member Function Documentation

## ◆ apply()

void cv::detail::BlocksGainCompensator::apply | ( | int | index,
|  | Point | corner,
|  | InputOutputArray | image,
|  | InputArray | mask )
| inline virtual

Python:
| cv.detail.BlocksGainCompensator.apply( | index, corner, image, mask | ) -> | image

Compensate exposure in the specified image.

Parameters

  index | Image index
  corner | Image top-left corner
  image | Image to process
  mask | Image mask

Reimplemented from cv::detail::BlocksCompensator.

## ◆ feed()

void cv::detail::BlocksGainCompensator::feed | ( | const std::vector< Point > & | corners,
|  | const std::vector< UMat > & | images,
|  | const std::vector< std::pair< UMat, uchar > > & | masks )
| virtual

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

Reimplemented from cv::detail::BlocksCompensator.

## ◆ getMatGains()

void cv::detail::BlocksGainCompensator::getMatGains | ( | std::vector< Mat > & | umv | ) |
| inline virtual

Python:
| cv.detail.BlocksGainCompensator.getMatGains( | [, umv] | ) -> | umv

Reimplemented from cv::detail::BlocksCompensator.

## ◆ setMatGains()

void cv::detail::BlocksGainCompensator::setMatGains | ( | std::vector< Mat > & | umv | ) |
| inline virtual

Python:
| cv.detail.BlocksGainCompensator.setMatGains( | umv | ) -> | None

Reimplemented from cv::detail::BlocksCompensator.

The documentation for this class was generated from the following file:

- opencv2/stitching/detail/exposure_compensate.hpp